@echo *
@echo *******************************************************
@echo off
rem
@echo File pdfMesh.bat   Bruce Mutton 7 Oct 2008
@echo Requires pdftk from http://www.accesspdf.com
@echo Merges two pdf files by interleaving the pages 
rem (maintains hyperlinks)
rem
@echo USAGE: for Therion Atlas outputs...
@echo pdfMesh PlanName ElevName OutputName
rem            %1       %2       %3
@echo Make edits required marked by ***************** below
rem
echo on

@echo MESH THE DOCUMENTS
pdftk A=%1.pdf B=%2.pdf cat A1 B1 A2 B2 A3 B3 output %3TEMP.pdf do_ask
@echo *************(need to list these out individually)

@rem WRITE DOC DATA
@pdftk   %1.pdf dump_data output %1_doc_data.txt
@pdftk   %2.pdf dump_data output %2_doc_data.txt
@pdftk   %3TEMP.pdf dump_data output %3_BEFOREdoc_data.txt

@echo REINSTATE DOCUMENT META-DATA
pdftk   %3TEMP.pdf update_info %2_doc_data.txt output %3.pdf dont_ask
@echo *************(need to select txt file for each case)

@rem output filename cannot match input filename
@rem update_info is .txt file from above (NOT pdf)

@rem WRITE DOC DATA AS CHECK
@pdftk   %3.pdf dump_data output %3_AFTERdoc_data.txt

@echo CLEAN UP
del %3TEMP.pdf  rem comment out this line to get ask before overwriting above

@ del %1_doc_data.txt
@ del %2_doc_data.txt
@ del %3_BEFOREdoc_data.txt
@ del %3_AFTERdoc_data.txt

@rem END