@echo *
@echo *******************************************************
@echo off
rem
@echo File pdfTMesh.bat   Bruce Mutton 7 Oct 2008
@echo Requires pdftk from http://www.accesspdf.com
@echo Merges three pdf files by interleaving the pages 
@echo of second two after the (optional) first file.
@echo Works best if first file is odd number of pages.
rem (maintains hyperlinks)
rem
@echo USAGE: for Title plus Therion Atlas outputs...
@echo pdfTMesh TitleName PlanName ElevName OutputName
rem            %1        %2       %3       %4
@echo Make edits required marked by ***************** below
rem
echo on

@echo MESH THE DOCUMENTS
if exist %1.pdf (
pdftk T=%1.pdf A=%2.pdf B=%3.pdf cat T A1 B1 A2 B2 A3 B3 output %4TEMP.pdf do_ask
) else (
pdftk          A=%2.pdf B=%3.pdf cat   A1 B1 A2 B2 A3 B3 output %4TEMP.pdf do_ask
)
@echo *************(need to list these out individually)

@rem WRITE DOC DATA
@pdftk   %2.pdf dump_data output %2_doc_data.txt
@pdftk   %3.pdf dump_data output %3_doc_data.txt
@pdftk   %4TEMP.pdf dump_data output %4_BEFOREdoc_data.txt

@echo REINSTATE DOCUMENT META-DATA
pdftk   %4TEMP.pdf update_info %3_doc_data.txt output %4.pdf dont_ask
@echo *************(need to select txt file for each case)

@rem output filename cannot match input filename
@rem update_info is .txt file from above (NOT pdf)

@rem WRITE DOC DATA AS CHECK
@pdftk   %4.pdf dump_data output %4_AFTERdoc_data.txt

@echo CLEAN UP
del %4TEMP.pdf  rem comment out this line to get ask before overwriting above

@ del %2_doc_data.txt
@ del %3_doc_data.txt
@ del %4_BEFOREdoc_data.txt
@ del %4_AFTERdoc_data.txt

@rem END